petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSPAISetNBSteps

set maximum number of improvement steps per row in the SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSPAISetNBSteps(PC pc,int nbsteps1)

### Input Parameters

| pc | - the preconditioner Many br
| n | - number of steps (default 5) Many br

Notes: SPAI constructs to approximation to every column of Many brthe exact inverse of A in a series of improvement Many brsteps. The quality of the approximation is determined Many brby epsilon. If an approximation achieving an accuracy Many brof epsilon is not obtained after ns steps, SPAI simply Many bruses the best approximation constructed so far. Many br

Many br

### See Also

PCSPAI, PCSetType(), PCSPAISetMaxNew()

Level:intermediate
Location:src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages